> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-locadex-parallel-t9n-main-irpovz79o3kkpgs4.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# عرض تفاصيل المؤسسة

> يعرض تفاصيل مؤسسة واحدة. وللحصول على هذه التفاصيل، يجب أن يكون مفتاح المصادقة تابعًا للمؤسسة.



## OpenAPI

````yaml /ar/_specs/cloud-openapi.json get /v1/organizations/{organizationId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}:
    get:
      tags:
        - Organization
      summary: عرض تفاصيل المؤسسة
      description: >-
        يعرض تفاصيل مؤسسة واحدة. وللحصول على هذه التفاصيل، يجب أن يكون مفتاح
        المصادقة تابعًا للمؤسسة.
      parameters:
        - description: معرّف المؤسسة المطلوبة.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: معرّف فريد مُخصَّص لكل طلب. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Organization'
                  status:
                    description: رمز حالة HTTP.
                    example: 200
                    type: number
                type: object
          description: استجابة ناجحة
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: وصف تفصيلي للخطأ.
                    type: string
                  status:
                    description: رمز حالة HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            يتعذر على الخادم معالجة الطلب أو يرفض معالجته بسبب أمر يُعتبَر خطأ
            من جهة العميل.
components:
  schemas:
    Organization:
      properties:
        byocConfig:
          description: إعداد BYOC الخاص بـ organization
          items:
            $ref: '#/components/schemas/ByocConfig'
          type: array
        createdAt:
          description: الطابع الزمني الذي أُنشئت فيه organization. بتنسيق ISO-8601.
          format: date-time
          type: string
        id:
          description: معرّف organization الفريد.
          format: uuid
          type: string
        name:
          description: اسم organization.
          type: string
        privateEndpoints:
          description: قائمة نقاط النهاية الخاصة التابعة لـ organization
          items:
            $ref: '#/components/schemas/OrganizationPrivateEndpoint'
          type: array
    ByocConfig:
      properties:
        accountName:
          description: اسم الحساب
          type: string
        cloudProvider:
          description: موفّر السحابة الخاص بالمنطقة
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: المعرّف الفريد لإعداد BYOC
          type: string
        regionId:
          description: المنطقة التي تم تكوين BYOC لها، والتي يمكن فيها إنشاء الخدمات
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: حالة البنية التحتية
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
    OrganizationPrivateEndpoint:
      properties:
        cloudProvider:
          description: موفّر السحابة الذي تقع فيه نقطة النهاية الخاصة
          enum:
            - gcp
            - aws
            - azure
          type: string
        description:
          description: وصف نقطة النهاية الخاصة
          type: string
        id:
          description: معرّف نقطة النهاية الخاصة
          type: string
        region:
          description: المنطقة التي تقع فيها نقطة النهاية الخاصة
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        استخدم معرّف المفتاح والسرّ الخاص به اللذين تم الحصول عليهما من
        ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````